Subject: bug#33890: 27.0.50; Incorrect behaviour of cl-loop macro

From: Glenn Morris <[email-masked]>
Date: Mon, 31 Dec 2018 01:22:34 -0500

Quek Yu Han wrote:

> It appears that a change to the `cl-loop` macro in Emacs 27 introduced a
> bug where certain clauses would be evaluated more than once in a loop
> with a "when" clause.

This seems to be another manifestation of https://debbugs.gnu.org/32506
due to a0365437c9ee308ad7978e436631020f513b25e7.